# Uses of Interface
org.springframework.core.io.ProtocolResolver

Packages that use ProtocolResolver
Package
Description
org.springframework.core.io
Generic abstraction for (file-based) resources, used throughout the framework.

## Uses of ProtocolResolver in org.springframework.core.io

Methods in org.springframework.core.io that return types with arguments of type ProtocolResolver
Modifier and Type
Method
Description
`Collection<ProtocolResolver>`
DefaultResourceLoader.`getProtocolResolvers()`
Return the collection of currently registered protocol resolvers, allowing for introspection as well as modification.
Methods in org.springframework.core.io with parameters of type ProtocolResolver
Modifier and Type
Method
Description
`void`
DefaultResourceLoader.`addProtocolResolver(ProtocolResolver resolver)`
Register the given resolver with this resource loader, allowing for additional protocols to be handled.